Bug 247197 - Small change needed in the help string of virsh.
Summary: Small change needed in the help string of virsh.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 21:29 UTC by Gurhan Ozen
Modified: 2013-11-04 01:32 UTC (History)
2 users (show)

Fixed In Version: 0.3.3-7.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 15:42:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gurhan Ozen 2007-07-05 21:29:00 UTC
Description of problem:
# virsh --help
...
    suspend         suspend a domain
    undefine        undefine an inactive domain
    vcpuinfo        domain vcpu information
    vcpupin         control domain vcpu affinity
    version         show version

  (specify --help <command> for details about the command)

# virsh --help suspend
 (just prints the help menu)

# virsh help suspend
  NAME
    suspend - suspend a domain

  SYNOPSIS
    suspend <domain>

  DESCRIPTION
    Suspend a running domain.

  OPTIONS
    <domain>         domain name, id or uuid

s/specify --help/specify help/ should be done in $TOP/src/virsh.c  

Version-Release number of selected component (if applicable):
libvirt-0.1.8-15.el5

How reproducible:
everytime.

Steps to Reproduce:
1. type virsh --help . virsh --help <command> and virsh help command
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Veillard 2007-07-06 15:07:57 UTC
Hum, right <grin/>
Trivially fixed upstream, but for RHEL pushing the patch would mean tinkering with
the localizations ... sure they are all wrong one way or another, so maybe if I 
have the opportunity to push a libvirt update I will fix this trivial thing.
It's upstream, but I keep this open to try to remember about it for RHEL,

  thanks,

Daniel

Comment 2 Daniel Veillard 2007-08-17 14:48:10 UTC
Libvirt being updated to 0.2.3 for RHEL-5.1, this should be fixed in the current
5.1 beta release,

Daniel

Comment 3 Daniel Veillard 2007-08-17 14:52:23 UTC
Oops unfortunately this was fixed upstream after 0.2.3 was shipped :-\

Sorry !

Daniel

Comment 4 Daniel Veillard 2008-05-22 15:42:50 UTC
Fixed as part of Update 2:

[root@test2 ~]# rpm -q libvirt
libvirt-0.3.3-7.el5
[root@test2 ~]# virsh --help

....
  (specify help <command> for details about the command)

[root@test2 ~]# 

Daniel


Note You need to log in before you can comment on or make changes to this bug.